SystemSaver requires the following specifications to function correctly:

Windows XP, Vista, 7, 8, 8.1, or 10

256MB RAM

Active Internet Connection

Keyboard/Mouse

Monitor

Note: SystemSaver is NOT compatible with Linux-based systems, Mac systems, Windows tablets / mobile devices, Windows 2000 or earlier.